Description

A number of the test for the Python CN Client currently fail due to 500 ServiceFailure responses from the server. The CN calls are
not meant to complete successfully because they're performed with random values and without certificates, but the tests expect
specific exceptions, such as 401 NotAuthorized when calling an API without a certificate.

While 500 ServiceFailure is not exactly a bug, it would be great to get an exception that relates to the actual issue with the request.
For instance, a call to CNIdentity.registerAccount() gives:

<?xml version="1.0" encoding="UTF-8"7>

Could not counstruct partial tree: Invalid name: Sidalcea

I'm not sure how many of APlIs this applies to, but it's at least several of these:

CNCore.setObsoletedBy()

CNAuthorization.setRightsHolder()
CNAuthorization.isAuthorized()

CNIdentity.registerAccount()
CNIdentity.updateAccount()
CNIdentity.verifyAccount()
CNIdentity.getSubjectinfo()
CNIdentity.listSubjects()
CNIdentity.mapldentity()
CNIdentity.removeMapldentity()
CNIdentity.requestMapldentity()
CNiIdentity.confirmMapldentity()
CNIdentity.denyMapldentity()
CNIdentity.createGroup()
CNIdentity.addGroupMembers()
CNIdentity.removeGroupMembers()

CNReplication.setReplicationStatus()
CNReplication.updateReplicationMetadata()
CNReplication.setReplicationPolicy()
CNReplication.isNodeAuthorized()

CNRegister.updateNodeCapabilities()
CNRegister.register()

History

#1 - 2014-08-29 18:25 - Robert Waltz

What is meant by valid dataONE types? A ServiceFailure is a valid DataONE response, though it may not be the correct response for unauthorized
access with bogus data.
#2 - 2014-08-29 18:53 - Roger Dahl
Good point, Robert. Updating the ticket description.

#3 - 2014-08-29 18:58 - Roger Dahl

- Description updated

#4 - 2014-08-29 18:59 - Roger Dahl

- Subject changed from CN methods fail with 500 ServiceFailure when called with bogus test data and without certificates to CN methods return 500
ServiceFailure when called with bogus test data and without certificates

2024-03-13 22


http://www.tcpdf.org

